Bug 462178 - PCMCIA CF adaptor causes kernel hang at "Starting UDEV:"
PCMCIA CF adaptor causes kernel hang at "Starting UDEV:"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 10:05 EDT by Brian Millett
Modified: 2008-10-23 21:31 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.26.6-79.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 12:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2008-09-13 10:05:27 EDT
Description of problem: 2 symptoms. 1) System hangs at boot while "Starting UDEV:"  and 2) I have a PCMCIA CF card adaptor.  If I take it out, then the system will boot, but when I plug in the card, it fails to mount.


Version-Release number of selected component (if applicable):
kernel-2.6.26.3-29.fc9.i686

How reproducible: every time


Steps to Reproduce:
1. have PCMCIA card inserted
2. boot and watch freeze
3.
  
Actual results:
1) System hangs at boot while "Starting UDEV:"  and 2) I have a PCMCIA CF card adaptor.  If I take it out, then the system will boot, but when I plug in the card, it fails to mount.

Expected results:


Additional info: when I plug in the pcmcia adaptor I get the following in messages:
Sep 13 08:52:56 dufus kernel: pccard: PCMCIA card inserted into slot 0
Sep 13 08:52:56 dufus kernel: cs: memory probe 0xecb00000-0xecbfffff: excluding 0xecb00000-0xecb0ffff 0xecbf0000-0xecbfffff
Sep 13 08:52:56 dufus kernel: pcmcia: registering new device pcmcia0.0
Sep 13 08:52:56 dufus kernel: scsi2 : pata_pcmcia
Sep 13 08:52:56 dufus kernel: ata3: PATA max PIO0 cmd 0x2100 ctl 0x210e irq 3
Sep 13 08:52:57 dufus kernel: ata3.00: CFA: Hitachi ATA Card, Rev 1.0, max PIO2
Sep 13 08:52:57 dufus kernel: ata3.00: 125184 sectors, multi 0: LBA 
Sep 13 08:52:57 dufus kernel: ata3.00: configured for PIO0
Sep 13 08:52:57 dufus kernel: ata3.00: configured for PIO0
Sep 13 08:52:57 dufus kernel: ata3: EH complete
Sep 13 08:52:57 dufus kernel: isa bounce pool size: 16 pages
Sep 13 08:52:57 dufus kernel: scsi 2:0:0:0: Direct-Access     ATA      Hitachi ATA Card Rev  PQ: 0 ANSI: 5
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] 125184 512-byte hardware sectors (64 MB)
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] Write Protect is off
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] 125184 512-byte hardware sectors (64 MB)
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] Write Protect is off
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
Sep 13 08:52:57 dufus kernel: sdb: sdb1
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: [sdb] Attached SCSI removable disk
Sep 13 08:52:57 dufus kernel: sd 2:0:0:0: Attached scsi generic sg2 type 0
Sep 13 08:52:57 dufus kernel: pcmcia: registering new device pcmcia0.1
Sep 13 08:52:57 dufus kernel: 0.1: GetNextTuple: No more items
Sep 13 08:52:57 dufus kernel: pata_pcmcia: probe of 0.1 failed with error -12
Sep 13 08:52:57 dufus kernel: 0.1: GetNextTuple: No more items
Sep 13 08:52:57 dufus kernel: pata_pcmcia: probe of 0.1 failed with error -12
Comment 1 Alan Cox 2008-09-22 10:51:58 EDT
Fixed. Rather obscure bug in the pcmcia code. Will send the patch to Linus hopefully to make 2.6.27
Comment 2 Brian Millett 2008-09-22 14:37:45 EDT
SWEET!

Thank you very much.
Comment 3 Alan Cox 2008-09-23 08:02:32 EDT
Patch now in Linus tree.
Comment 4 Fedora Update System 2008-10-14 15:53:32 EDT
kernel-2.6.26.6-46.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/kernel-2.6.26.6-46.fc8
Comment 5 Chuck Ebbert 2008-10-14 15:58:49 EDT
Patch also in 2.6.26.6-46.fc9
Comment 6 Fedora Update System 2008-10-14 16:03:03 EDT
kernel-2.6.26.6-71.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kernel-2.6.26.6-71.fc9
Comment 7 Brian Millett 2008-10-14 16:31:53 EDT
Can't wait to try it!  Thanks.
Comment 8 Fedora Update System 2008-10-20 16:29:29 EDT
kernel-2.6.26.6-79.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8929
Comment 9 Brian Millett 2008-10-21 07:41:32 EDT
So far it's good.  Booted and can access it, unmount, eject and remount all works fine.  The only problem is with the instructions.  "su -c 'yum --enablerepo=updates-testing update kernel'"  The repo is updates-testing-newkey
Comment 10 Fedora Update System 2008-10-23 12:38:58 EDT
kernel-2.6.26.6-79.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.